#
# spec file for package perl-Data-Validate-Domain
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Data-Validate-Domain
Name:           perl-Data-Validate-Domain
Version:        0.15
Release:        1.16
Summary:        Domain and host name validation
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Net::Domain::TLD) >= 1.74
BuildRequires:  perl(Test2::Plugin::UTF8)
BuildRequires:  perl(Test::More) >= 1.302015
Requires:       perl(Net::Domain::TLD) >= 1.74
%{perl_requires}

%description
This module offers a few subroutines for validating domain and host names.

%prep
%autosetup  -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc azure-pipelines.yml Changes CODE_OF_CONDUCT.md CONTRIBUTING.md precious.toml README.md
%license LICENSE

%changelog
* Sun Aug 22 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.15
  see /usr/share/doc/packages/perl-Data-Validate-Domain/Changes
  0.15     2021-08-21
  - Reject domains with 254 or more characters. Domains are limited to 255
    octets, but in practice this means they're actually limited to 253
    characters. See
    https://devblogs.microsoft.com/oldnewthing/20120412-00/?p=7873 for a
    more detailed explanation of this. Implemented by Felipe Gaspar. Fixes
    GitHub #5. PR #13.
* Wed Aug 24 2016 coolo@suse.com
- updated to 0.14
  see /usr/share/doc/packages/perl-Data-Validate-Domain/Changes
* Tue Aug 23 2016 coolo@suse.com
- updated to 0.14
  see /usr/share/doc/packages/perl-Data-Validate-Domain/Changes
  0.14     2016-08-21
  - Require Net::Domain::TLD 1.74. This fixes some failures seen on CPAN
    Testers, and if you're validating domains you really want the latest
    version of this module.
  0.13     2016-08-21
  - Accept trailing dot on hostnames as well. Implemented by Greg
    Oschwald. GitHub #6.
  - The option domain_disable_tld_validation was added to allow disabling
    TLD validation. This may be useful if you need to check domains with new
    gTLDs that have not yet been added to Net::Domain::TLD. Implemented by Greg
    Oschwald. GitHub #8.
* Mon Jun 13 2016 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-Data-Validate-Domain/Changes
* Sun Jun 12 2016 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-Data-Validate-Domain/Changes
  0.12     2016-06-05
  - Accept trailing dot on a domain name ("example.com."). This is an
    absolute name per RFCs 1034 & 1035, and will be accepted by any DNS
    resolution library or tool. Reported by Rob J. Epping.
* Fri May  8 2015 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Data-Validate-Domain/Changes
* Wed May  4 2011 pascal.bleser@opensuse.org
- initial version (0.10)
